image: aergus/latex

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  GIT_HOOKS_DIR: .git/hooks
  GIT_POST_CHECKOUT_HOOK_FILE: .git/hooks/post-checkout

before_script:
  - pushd ~
  - git clone https://framagit.org/groolot/my_texmf_tree.git texmf
  - popd
  - apt-get update -qq

stages:
  - build

diff-et-patch:
  stage: build
  script:
    - apt-get install -y -qq diffutils patch
    - mkdir -p $GIT_HOOKS_DIR
    - cp $HOME/texmf/tex/latex/groolot/gitinfo_hook $GIT_POST_CHECKOUT_HOOK_FILE
    - chmod 755 $GIT_POST_CHECKOUT_HOOK_FILE
    - git checkout $CI_COMMIT_TAG
    - latexmk -pdf $CI_PROJECT_NAME.tex
    - mv $CI_PROJECT_NAME.pdf $CI_PROJECT_NAME-$CI_COMMIT_TAG.pdf
  artifacts:
    name: "$CI_PROJECT_NAME-$CI_COMMIT_REF_NAME"
    expire_in: 1y
    paths:
      - "*.pdf"
